<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-card id="votingSitePeriodEdit" class="parameter-edit" [class.read-only]="readOnly">
  <mat-card-header>
    <mat-card-title>{{'voting-period.voting-site-period.edit.title' | translate}}</mat-card-title>
    <mat-card-subtitle fxLayout="row" fxLayoutAlign="space-between">
      <span>{{'voting-period.voting-site-period.edit.subtitle' | translate}}</span>
      <span *ngIf="!readOnly">{{'global.forms.fields.required' | translate}}</span>
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <form [formGroup]="form" novalidate>
      <mat-form-field>
        <mat-placeholder>{{'voting-period.voting-site-period.edit.form.fields.date-open.placeholder' | translate}}
        </mat-placeholder>
        <mat-datetimepicker #dateOpenDatepicker type="datetime"></mat-datetimepicker>
        <mat-datetimepicker-toggle [for]="dateOpenDatepicker" matSuffix></mat-datetimepicker-toggle>
        <input matInput id="date-open_input" formControlName="dateOpen"
               [matDatetimepicker]="dateOpenDatepicker"
               [min]="now" [max]="form.getRawValue().dateClose" required autocomplete=false>
        <mat-error>
          <default-errors fieldName="dateOpen" [form]="form"></default-errors>
        </mat-error>
      </mat-form-field>


      <mat-form-field>
        <mat-placeholder>{{'voting-period.voting-site-period.edit.form.fields.date-close.placeholder' | translate}}
        </mat-placeholder>
        <mat-datetimepicker #dateCloseDatepicker type="datetime"></mat-datetimepicker>
        <mat-datetimepicker-toggle [for]="dateCloseDatepicker" matSuffix></mat-datetimepicker-toggle>
        <input matInput id="date-close_input" formControlName="dateClose"
               [matDatetimepicker]="dateCloseDatepicker"
               [min]="form.getRawValue().dateOpen" required autocomplete=false>
        <mat-error>
          <default-errors fieldName="dateClose" [form]="form"></default-errors>
        </mat-error>
      </mat-form-field>

      <mat-form-field>
        <input matInput id="gracePeriodInput" type="number" name="gracePeriodInput"
               formControlName="gracePeriod" min="0" max="60"
               placeholder="{{'voting-period.voting-site-period.edit.form.fields.grace-period.placeholder' | translate}}">
        <mat-error>
          <default-errors fieldName="gracePeriod" [form]="form"></default-errors>
        </mat-error>
      </mat-form-field>


    </form>

  </mat-card-content>
  <mat-card-actions *ngIf="!readOnly">
    <div fxLayout fxLayoutAlign="end">
      <button mat-raised-button id="saveButton" color="primary" (click)="save()">
        {{'global.actions.save' | translate | uppercase}}
      </button>
    </div>
  </mat-card-actions>

</mat-card>


